import React from 'react'
import Cookies from 'js-cookie'

export const AuthContext = React.createContext(null);

export function AuthProvider ({ children }){

    let [user, setUser] = React.useState( Cookies.get('token') )

    const context = {
        user,
        login: (token) => {
            try{
                Cookies.set('token', token, { expires : 7 })
                setUser(Cookies.get('token'))
            }catch(e){
                console.log('Login Error >> ', e)
                Cookies.set('token', undefined)
            }

        },
        logout : () => {
            Cookies.set('token', undefined)
            setUser(undefined)
        },
        isLogged : () => {
            try{
                let CookiesUser = Cookies.get('token')
                if(!CookiesUser || CookiesUser === 'undefined'){
                    return false
                }
                // let current = JSON.parse(CookiesUser);
                console.log("token >> ", CookiesUser)
                let logged = CookiesUser.length > 5 //Object.keys(current).includes('email')
                console.log("is login? >>", logged)
                return logged

            }catch(e){
                console.log("Error checking user ", e)
                return false
            }
        }
    }

    return (
        <AuthContext.Provider value={context}>
            {children}
        </AuthContext.Provider>
    )
}


