import * as React from 'react';
import { Link as RouterLink } from 'react-router-dom';

import { styled } from '@mui/material/styles';
import { Box, Card, Link, Container, Typography } from '@mui/material';

// import AuthLayout from '../layouts/AuthLayout';
import AuthLayout from '../Components/Register/AuthLayout';

import Page from '../Components/Register/Page';
import { RegisterForm } from '../Components/Register/RegisterForm';
// import MHidden from '../Components/Register/MHidden';

import Mock from  '../Images/register_mok.png'

const RootStyle = styled(Page)(({ theme }) => ({
    [theme.breakpoints.up('md')]: {
        display: 'flex'
    }
}));

const SectionStyle = styled(Card)(({ theme }) => ({
    width: '100%',
    maxWidth: 464,
    display: 'flex',
    flexDirection: 'column',
    justifyContent: 'center',
    margin: theme.spacing(2, 0, 2, 2)
}));

const ContentStyle = styled('div')(({ theme }) => ({
    maxWidth: 480,
    margin: 'auto',
    display: 'flex',
    minHeight: '100vh',
    flexDirection: 'column',
    justifyContent: 'center',
    padding: theme.spacing(12, 0)
}));

// ----------------------------------------------------------------------

export function Register() {
    return (
        <RootStyle title="Register | Minimal-UI">
            <AuthLayout>
                Already have an account? &nbsp;
                <Link underline="none" variant="subtitle2" component={RouterLink} to="/login">
                    Login
                </Link>
            </AuthLayout>

            <SectionStyle>
                <Typography variant="h3" sx={{ px: 5, mt: 10, mb: 5 }}>
                    Efectividad para tus procesos de reclutamiento
                </Typography>
                <img alt="register" src={Mock} />
            </SectionStyle>

            <Container>
                <ContentStyle>
                    <Box sx={{ mb: 5 }}>
                        <Typography variant="h4" gutterBottom>
                            Empieza de forma gratuita.
                        </Typography>
                        <Typography sx={{ color: 'text.secondary' }}>
                            Gratis para siempre. No se necesita tarjeta de crédito.
                        </Typography>
                    </Box>


                    <RegisterForm />

                    <Typography variant="body2" align="center" sx={{ color: 'text.secondary', mt: 3 }}>
                        By registering, I agree to Minimal&nbsp;
                        <Link underline="always" sx={{ color: 'text.primary' }}>
                            Terms of Service
                        </Link>
                        &nbsp;and&nbsp;
                        <Link underline="always" sx={{ color: 'text.primary' }}>
                            Privacy Policy
                        </Link>
                        .
                    </Typography>

                    <div>
                        <Typography variant="subtitle2" sx={{ mt: 3, textAlign: 'center' }}>
                            Already have an account?&nbsp;
                            <Link to="/login" component={RouterLink}>
                                Login
                            </Link>
                        </Typography>
                    </div>
                </ContentStyle>
            </Container>
        </RootStyle>
    );
}
